<div>
    <h2 id="page-heading">
        <span>Agents</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-agent" [routerLink]="['/agent/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Agent
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="agents?.length === 0">
        <span>No agents found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="agents && agents.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Agent Id</span></th>
                    <th scope="col" ><span>Type</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Address</span></th>
                    <th scope="col" ><span>Fax</span></th>
                    <th scope="col" ><span>Phone</span></th>
                    <th scope="col" ><span>Website</span></th>
                    <th scope="col" ><span>Email</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let agent of agents ;trackBy: trackId">
                    <td><a [routerLink]="['/agent', agent.id, 'view']">{{ agent.id }}</a></td>
                    <td>{{ agent.agentId }}</td>
                    <td>{{ agent.type }}</td>
                    <td>{{ agent.name }}</td>
                    <td>{{ agent.address }}</td>
                    <td>{{ agent.fax }}</td>
                    <td>{{ agent.phone }}</td>
                    <td>{{ agent.website }}</td>
                    <td>{{ agent.email }}</td>
                    <td>{{ agent.status }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/agent', agent.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/agent', agent.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(agent)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
